MT Blacklist Version 1.63

Jay Allen officially released MT-Blacklist v1.63, which supports Movable Type 2.6 and above. If you’re on Movable Type 2.5 you need to stay with MT-Blacklist v1.62. Either way don’t forget to take advantage of the Comment Spam Clearing House, centralized updated blacklist.

MT-Blacklist is “powered by your donations“, as Jay spends an lot of time on the Blacklist project.

Blogging Wal-Mart
It's All Bush's Fault...